<template>
  <div class="grid lg:grid-cols-2 md:grid-cols-2 sm:grid-cols-2 grid-cols-1 gap-4 px-2">
    <div class="bg-gray-100 border-green-600 dark:bg-gray-800 bg-opacity-95 border-opacity-60 | p-4 border-solid rounded-3xl border-2 | flex justify-around cursor-pointer | hover:bg-green-400 dark:hover:bg-green-600 hover:border-transparent | transition-colors duration-500">
      <img class="w-16 h-16 object-cover" src="https://via.placeholder.com/150" alt="" />
      <div class="flex flex-col justify-center">
        <p class="text-gray-900 dark:text-gray-300 font-semibold">name: {{name}}</p>
        <p class="text-black  font-semibold">{{requiredSteps}} steps needed</p>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "AchievementCard",
   props: ['name','requiredSteps']

}
</script>

<style>

</style>